---
category: builds
order: 10
toc: false
feedback-widget: false
meta-title: CKEditor 5 builds documentation
meta-description: Learn how to install, integrate, configure and develop CKEditor 5 builds. Browse through API documentation and online samples.
---

# Installing CKEditor 5

Learn how to install CKEditor 5 from scratch or using predefined builds. Integrate CKEditor 5 with your software, keep it updated and find out hot you can help developing it.

<info-box>
	Use the <span class="navigation-hint_desktop">**navigation tree on the left**</span><span class="navigation-hint_mobile">**main menu button in the upper-left corner**</span> to navigate through the documentation. Newly added or meaningfully updated guides are marked with a <span class="tree__item__badge tree__item__badge_new">NEW</span> icon for easy spotting.
</info-box>

## Predefined CKEditor 5 builds

Learn more about the {@link builds/guides/overview available predefined builds} and choosing the right one for you. This is the fastest way to kick-off you CKEditor 5 installation.

## Installing CKEditor 5

Get to know how to {@link builds/guides/integration/installation install the editor}, {@link builds/guides/integration/configuration configure it}, and {@link builds/guides/integration/csp secure}.

Find out how to {@link builds/guides/integration/saving-data handle and save the data} and what the {@link builds/guides/integration/features-html-output-overview features' HTML output} is for each plugin.

## Frameworks integration

Get to know the and the supported {@link builds/guides/frameworks/overview integrations with popular JavaScript frameworks} and learn to utilize them.

## CKEditor 5 development

Get to know more about the {@link builds/guides/development/plugins plugin development}. Find out how to {@link builds/guides/development/custom-builds create custom builds} and update your CKEditor 5 on the go with the {@link builds/guides/development/dll-builds DLL webpack} solution.

## Migrating from CKEditor 4 and previous versions

Refer to the {@link builds/guides/migration/migration-from-ckeditor-4 CKEditor 4 migration guide} or other migration guides if you are updating your CKEditor 5 installation.

## Related links

 * {@link examples/index Examples} &ndash; Try live demos of all available builds.
 * {@link features/index Features} &ndash; Learn about some of the features included in CKEditor 5 builds.
