---
category: framework
order: 10
toc: false
feedback-widget: false
meta-title: CKEditor 5 Framework documentation
meta-description: Learn how to install, integrate, configure and develop CKEditor 5 Framework. Browse through API documentation and online samples.
---

# CKEditor 5 Framework

CKEditor 5 Framework is a highly-flexible and universal platform providing a set of components allowing you to create any kind of rich text editing solution. It enables creating different, custom-tailored editors that suit specific needs. It also provides tools for creation and integration of user-made features and for customizing the existing ones.

<info-box>
    Use the <span class="navigation-hint_desktop">**navigation tree on the left**</span><span class="navigation-hint_mobile">**main menu button in the upper-left corner**</span> to navigate through CKEditor 5 Framework documentation. Newly added or meaningfully updated guides are marked with a <span class="tree__item__badge tree__item__badge_new">NEW</span> icon for easy spotting.
</info-box>

## Related links

 * {@link features/index Features} &ndash; Learn about some of the features included in CKEditor 5 Framework.
 * {@link examples/index Examples} &ndash; Try live demos of all available builds. View some of the possible customizations of CKEditor.

<info-box>
    The CKEditor 5 Framework documentation is still in progress, so it may be lacking many things. Feel free to [suggest documentation enhancements](https://github.com/ckeditor/ckeditor5/labels/type%3Adocs) and share your feedback about the framework.

    If the documentation is insufficient, please do not be afraid of looking into the source code of [CKEditor 5 packages](https://github.com/ckeditor?utf8=%E2%9C%93&q=ckeditor5&type=public). For example if you plan to create a new feature, check if a similar feature already exists and try to take inspiration from its source code.
</info-box>
